package com.smppw.modaq.domain.dto.report;

import com.smppw.modaq.common.enums.ReportType;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

@Getter
@AllArgsConstructor
@ToString
public class ReportParserParams {
    /**
     * 文件id
     * 报告解析表的关联字段
     */
    private Integer fileId;
    /**
     * 文件名称
     * 优先从这个名称里先获取基金备案编码，没有就不获取
     */
    private String filename;
    /**
     * 文件路径
     */
    private String filepath;
    /**
     * 报告类型
     */
    private ReportType reportType;
}
